RSS   Vulnerabilities for 'Go-attestation'   RSS

2022-02-04
 
CVE-2022-0317

CWE-20
 

 
An improper input validation vulnerability in go-attestation before 0.3.3 allows local users to provide a maliciously-formed Quote over no/some PCRs, causing AKPublic.Verify to succeed despite the inconsistency. Subsequent use of the same set of PCR values in Eventlog.Verify lacks the authentication performed by quote verification, meaning a local attacker could couple this vulnerability with a maliciously-crafted TCG log in Eventlog.Verify to spoof events in the TCG log, hence defeating remotely-attested measured-boot. We recommend upgrading to Version 0.4.0 or above.

 

 >>> Vendor: Google 95 Products
Toolbar
TALK
Mini search appliance
Search appliance
Api search
Earth
Desktop
Web toolkit
Custom search engine
Picasa
KML
Android sdk
Google apps
Chrome
Gears
Android
V8
Google sketchup
Chrome os
App engine python sdk
Idapython
Cr-48 chromebook
Chr2000ome
Sketchup
Chrome2000
Chrom2000e
Bionic
Tunnelblick
Admob
Checkout-php
Cityhash
Android sdk tools
Chrome frame
Frame
Google authenticator
Authenticator
Glass
Android api
Search appliance software
Android debug bridge
Android sdk platform tools
Android browser
Nexus 7
Calendar events
Email
Play services sdk
Kubernetes
Android one
Sfntly
GRPC
Google i/o 2017
News and weather
Protobuf
Gmail
Boringssl
Santa
Chromecast firmware
Home firmware
Mod pagespeed
Rendertron
Cardboard
Kubernetes engine
Guava
Tensorflow
Snappy
Nexus 7 firmware
Nexus 9 firmware
Voice builder
Cloud messaging notification
Nest cam iq indoor firmware
Fscrypt
Blink
Gizmo5
Closure library
Openthread
Chrome-launcher
Asylo
Go-tpm
Brotli
Gerrit
Flatbuffers
Secret manager provider for secret store csi driver
Slashify
Exposure notifications verification server
Bazel
Cloud iot device sdk for embedded c
Bindiff
Angle
Exposure notification verification server
Google-protobuf
Protobuf-java
Protobuf-kotlin
Fuchsia
Go-attestation
Oauth client library for java


Copyright 2022, cxsecurity.com

 

Back to Top